


	    <!-- Bootstrap 3.3.2 -->
    <link href="../assets/css/bootstrap.min.css" rel="stylesheet" type="text/css" />    

    <link rel="stylesheet" href="../assets/plugins/sweetalert/sweetalert.css">

    <!-- jQuery 3.1.1 -->
    <script src="../assets/plugins/jQuery/jquery-3.1.1.min.js" type="text/javascript"></script>


     <!-- sweetalert SCRIPT -->
    <script src="../assets/plugins/sweetalert/sweetalert.min.js"></script>


				

					 
	

<?php
date_default_timezone_set('America/Costa_Rica');
// ========================================================================================
// exchange.php v7, Dec 2020
// https://gee.bccr.fi.cr/Indicadores/Suscripciones/WS/wsindicadoreseconomicos.asmx
// Developed by: webmaster.mc@mischunches.com
// ========================================================================================


/*
https://www.bccr.fi.cr/indicadores-economicos/servicio-web
link cuenta del banco central
*/



$host = 'www.google.com';
$port = 80;
$timeout = 10; // Tiempo de espera en segundos

// Intentar abrir la conexión
$connection = @fsockopen($host, $port, $errno, $errstr, $timeout);

if ($connection) {
    echo "Conexion a Internet disponible.";
    fclose($connection); // Cerrar la conexión
	
	
	


if (isset($_SESSION['COMPRA']) && isset($_SESSION['VENTA'])) {
	
	$Compra = $_SESSION['COMPRA'];
	$Venta = $_SESSION['VENTA'];

} else {
$actual="";
	//Obtener tipo de cambio
	$doc_c = new DOMDocument();
	$doc_v = new DOMDocument();
	$ind_econom_ws =
	'https://gee.bccr.fi.cr/Indicadores/Suscripciones/WS/wsindicadoreseconomicos.asmx/ObtenerIndicadoresEconomicos';
	$fecha = date("d/m/Y");
	$compra = 317;
	$venta = 318;
	
	$nombre = 'softcomcr'; // cambiar por su nombre
	$email = 'rjimenez@softcomcr.com'; // cambiar por su correo electronico
	$tokenBCCR = 'ZOPTEJRRE4'; // cambiar por el Token enviado por el BCCR
	
	/*
	$nombre = 'Roberto'; // cambiar por su nombre
	$email = 'robertojmn85@gmail.com'; // cambiar por su correo electronico
	$tokenBCCR = '2EGO8MJO2M'; // cambiar por el Token enviado por el BCCR	
*/

	$urlWS_c = $ind_econom_ws."?Indicador=".$compra."&FechaInicio=".$fecha."&FechaFinal=".$fecha."&Nombre=".$nombre.
	"&SubNiveles=N&CorreoElectronico=".$email."&Token=".$tokenBCCR;
	$urlWS_v = $ind_econom_ws."?Indicador=".$venta."&FechaInicio=".$fecha."&FechaFinal=".$fecha."&Nombre=".$nombre.
	"&SubNiveles=N&CorreoElectronico=".$email."&Token=".$tokenBCCR;

	//Valor Compra
	$xml_c = @file_get_contents($urlWS_c);
    if ($xml_c === false) {
       $Compra = "No disponible";
    } else {   
	   $doc_c->loadXML($xml_c);
	   $ind_c = $doc_c->getElementsByTagName('INGC011_CAT_INDICADORECONOMIC')->item(0);
	   $val_c = $ind_c->getElementsByTagName('NUM_VALOR')->item(0);
	   $Compra = substr($val_c->nodeValue,0,-6);
	   $_SESSION['COMPRA'] = $Compra;
    }

	//Valor Venta
	$xml_v = @file_get_contents($urlWS_v);
    if ($xml_v === false) {
       $Venta = "No disponible";
    } else {
        $doc_v->loadXML($xml_v);
        $ind_v = $doc_v->getElementsByTagName('INGC011_CAT_INDICADORECONOMIC')->item(0);
        $val_v = $ind_v->getElementsByTagName('NUM_VALOR')->item(0);
        $Venta = substr($val_v->nodeValue,0,-6);
        $_SESSION['VENTA'] = $Venta;
    }
	
}



date_default_timezone_set('America/Costa_Rica');
include('../conexion.php'); 

$hoy=date("Y/m/d");
$hora=date("H:i:s");
$denominacion="AUTOMATICO";

$consulta = "SELECT tipcamdol, clades, numped, cdgdis , tipcamaut FROM web_0000 ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();
 $tipcamdol = $fila["tipcamdol"];
 $tipcamaut = $fila["tipcamaut"];
 
			 
		

			 
$actual= $Compra;
$anterior= $tipcamdol;

if ($actual <>"" ) {

			$query_operacion="INSERT INTO tabbackup_tipo_cambio(id, denominacion, fecha, hora, actual, anterior) VALUES ('', '$denominacion', '$hoy', '$hora', '$actual','$anterior')";
			$mysqli->query($query_operacion);
			$codfactura= $mysqli-> insert_id ;
			
			if($tipcamaut <> 1 )	 {  $actual =  $anterior ; }  // si el tipo de cambio es automatico
			
			$sel_articulos_contado="UPDATE web_0000 SET tipcamdol='$actual' ";
			$mysqli->query($sel_articulos_contado);
			
				  
	   
				
					if ($codfactura<> ""){
							?>	
							<script language="javascript">
							jQuery(function($){	
							sweetAlert({
							title: "TIPO DE CAMBIO",
							text: "  ACTUALIZADO !",
							type: "success",
							showConfirmButton: false,
							timer: 2000
							
							});
							
							setTimeout("window.close()",2000) 
							}); 
							</script>
							<?php
					}
	  }else{
	  
	 							?>	
								
								
							<script language="javascript">
							jQuery(function($){	
							sweetAlert({
							title: "ERROR",
							text: "  TIPO DE CAMBIO !",
							type: "error",
							showConfirmButton: false,
							timer: 2000
							
							});
							
							setTimeout("window.close()",2000) 
							
							
							}); 
							
						
							
							</script>
							<?php 
	  
	  
	  
	  
	  }

	  

	   

echo "<br>"; echo "<br>";
 echo "Compra: ".$Compra;
 
 echo "<br>";
  echo "Venta: ".$Venta;
  
  
  
  
} else {
    echo "No hay conexión a Internet.";
	
	
		  
	 							?>	
								
								
							<script language="javascript">
							jQuery(function($){	
							sweetAlert({
							title: "ERROR",
							text: "  No hay conexion a Internet !",
							type: "error",
							showConfirmButton: false,
							timer: 3000
							
							});
							
							setTimeout("window.close()",2000) 
							
							
							}); 
							
						
							
							</script>
							<?php 
							
							
}


  


 ?>
	